import * as http from 'http'
import * as express from 'express'
import * as path from 'path'
import * as morgan from 'morgan'
import * as fs from 'fs'


let app = express()

let accessLogStream = fs.createWriteStream(path.join(__dirname, '/../../../access.log'), {flags: 'a'})
app.use(morgan('combined', {stream: accessLogStream}))

app.use('/', express.static(path.join(__dirname, '/../../../dist')))

app.listen(3000, () => {
    console.log('smartclient app listening on port 3000!')
})



